import 'package:apus_drones_mobile/constants/UserType.dart';
import 'package:apus_drones_mobile/models/PartnerModel.dart';
import 'package:apus_drones_mobile/screens/Appbar.dart';
import 'package:apus_drones_mobile/services/PartnerService.dart';
import 'package:apus_drones_mobile/widgets/BotNavBar.dart';
import 'package:apus_drones_mobile/widgets/Partner.dart';
import 'package:flutter/material.dart';

import 'PartnerDetailScreen.dart';

class AdminScreen extends StatefulWidget {
  AdminScreen({Key? key}) : super(key: key);

  @override
  _AdminScreenState createState() => _AdminScreenState();
}

class _AdminScreenState extends State<AdminScreen> {
  List<PartnerModel> partnerList = [];
  PartnerService service = new PartnerService();

  @override
  void initState() {
    service.getAllPartners().then((value) => this.setState(() {
          partnerList = value;
        }));
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: Appbar(title: 'Parceiros'),
      bottomNavigationBar: BotNavBar(role: UserType.ADMIN),
      body: Center(
        child: Column(
          children: [
            Container(
              padding: EdgeInsets.only(top: 14),
              constraints: BoxConstraints(maxWidth: 200),
              child: Text(
                "Seus parceiros estão ordenados por data, você verá os pedidos mais antigos primeiro",
                textAlign: TextAlign.center,
                style: TextStyle(
                  fontSize: 12,
                  fontStyle: FontStyle.italic,
                ),
              ),
            ),
            Expanded(
              child: ListView.builder(
                itemBuilder: (ctx, index) => GestureDetector(
                  child: Partner(
                    model: this.partnerList[index],
                  ),
                ),
                itemCount: this.partnerList.length,
              ),
            )
          ],
        ),
      ),
    );
  }
}
